Bug 1266825 - [RFE] Satellite 6 installer katello-install: automatically select correct repos for Sat server
[RFE] Satellite 6 installer katello-install: automatically select correct rep...
Status: CLOSED CANTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.1.1
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks: GSS_Sat6Beta_Tracker/GSS_Sat6_Tracker
  Show dependency treegraph
 
Reported: 2015-09-28 02:27 EDT by Xixi
Modified: 2016-10-14 12:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1265457
Environment:
Last Closed: 2016-10-14 12:17:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2015-09-28 02:27:46 EDT
Description of problem:
Having the Satellite 6 installer be able to automatically set correct repos (such as those specified in installation instructions) will greatly enhance usability and reduce support volume by reducing manual steps and confusion/errors related to incorrect/missing repos, among others.

Version-Release number of selected component (if applicable):
Satellite 6.1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Xixi 2016-02-24 18:57:49 EST
possible duplicate:

Bug 1297561 - [RFE] Enhance the installer to check for subscription to specific repositories
Comment 3 Bryan Kearney 2016-07-08 16:39:26 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 5 Stephen Benjamin 2016-10-14 12:17:17 EDT
Bz1103884 would cover "checking" the right repos are enabled.

But I'm not sure how we could select in advance. If you are at the point where you have the satellite-installer package installed, then I'm pretty sure you have the right repos enabled - the satellite & satellite-installer package has dependencies on basically everything in the product.

Please reopen if that's incorrect, or have an idea about how we could do the selection with satellite-installer, but I don't think we can fix it in our software.

This seems more to me like an issue across the red hat portfolio of products that could be fixed somewhere like subscription-manager, where one could easily say 
"subscription-manager --enable-product=satellite6" or "subscription-manager --enable-product=rhev" and have it do the right thing.

Note You need to log in before you can comment on or make changes to this bug.